Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmdb/tagname.c File Reference

More...

`#include "system.h"`
`#include <rpmlib.h>`
`#include "debug.h"`

Go to the source code of this file.

## Functions
const char *const | tagName (int tag)
int | tagValue (const char *tagstr)
| Return value of tag from name. More...

## Detailed Description

Definition in file tagname.c.

## Function Documentation

const char* const tagName | ( | int | tag | ) |

| Definition at line 10 of file tagname.c. References RPMDBI_ADDED, RPMDBI_AVAILABLE, RPMDBI_DEPENDS, RPMDBI_PACKAGES, RPMDBI_REMOVED, and xtolower. Referenced by checkForDuplicates, checkForRequired, db3close, db3open, dbiOpen, i18nTag, printNewSpecfile, rpmdbAdd, rpmdbMoveDatabase, rpmdbRemove, rpmdbRemoveDatabase, rpmHeaderGetEntry, and stashSt.

int tagValue | ( | const char * | tagstr | ) |

  | Return value of tag from name. Parameters:
  tagstr | name of tag
Returns: tag value Definition at line 55 of file tagname.c. References headerTagTableEntry_s::name, RPMDBI_ADDED, RPMDBI_AVAILABLE, RPMDBI_DEPENDS, RPMDBI_PACKAGES, RPMDBI_REMOVED, headerTagTableEntry_s::val, and xstrcasecmp. Referenced by dbiTagsInit.